> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stats

Use this API to fetch aggregate Memory counts for the workspace.

# Endpoint

`POST https://api.velt.dev/v2/memory/stats/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  No fields required. Send an empty object.
</ParamField>

## **Example Requests**

#### Get workspace stats

```JSON theme={null}
{
  "data": {}
}
```

# Response

The result reports total enriched activities, reviewer profiles, detected patterns, and knowledge sources.

#### Success Response

```JSON theme={null}
{
  "result": {
    "totalActivities": 1284,
    "totalProfiles": 12,
    "totalPatterns": 8,
    "totalKnowledgeSources": 5
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "totalActivities": 1284,
      "totalProfiles": 12,
      "totalPatterns": 8,
      "totalKnowledgeSources": 5
    }
  }
  ```
</ResponseExample>
